#ifndef craindrop_h
#define craindrop_h

#include "ForwardDeclarations.h"
#include "cVector.h"
#include "cColor.h"
#include "OGLPlatformSpecific.h"
#include "cIntersectionResult.h"
#include "cStaticTriangleMesh.h"
#include "cTriangle.h"
#include "cBoundingBox.h"
#include "cParticleSystem.h"
#include "cParticle.h"
#include "cSplashParticle.h"
#include <vector>

class cRaindrop : public cParticle
{
public:
    cRaindrop(cParticleSystem* ps);
    
    void update(float dt, vector<cTriangle*>& tlist);
    
    void draw();
    
    cIntersectionResult intersectTriangle(cVector& start, cVector& dir, float maxDist, cTriangle &triangle);

};


#endif
